# modules/midi_router/midi_port.c File Reference

`#include <mios32.h>`
`#include <string.h>`
`#include <osc_client.h>`
`#include "midi_port.h"`

## Data Structures
struct | midi_port_entry_t
## Functions
s32 | MIDI_PORT_Init (u32 mode)
s32 | MIDI_PORT_InNumGet (void)
s32 | MIDI_PORT_OutNumGet (void)
s32 | MIDI_PORT_ClkNumGet (void)
char * | MIDI_PORT_InNameGet (u8 port_ix)
char * | MIDI_PORT_OutNameGet (u8 port_ix)
char * | MIDI_PORT_ClkNameGet (u8 port_ix)
mios32_midi_port_t | MIDI_PORT_InPortGet (u8 port_ix)
mios32_midi_port_t | MIDI_PORT_OutPortGet (u8 port_ix)
mios32_midi_port_t | MIDI_PORT_ClkPortGet (u8 port_ix)
u8 | MIDI_PORT_InIxGet (mios32_midi_port_t port)
u8 | MIDI_PORT_OutIxGet (mios32_midi_port_t port)
u8 | MIDI_PORT_ClkIxGet (mios32_midi_port_t port)
s32 | MIDI_PORT_InCheckAvailable (mios32_midi_port_t port)
s32 | MIDI_PORT_OutCheckAvailable (mios32_midi_port_t port)
s32 | MIDI_PORT_ClkCheckAvailable (mios32_midi_port_t port)
mios32_midi_package_t | MIDI_PORT_OutPackageGet (mios32_midi_port_t port)
mios32_midi_package_t | MIDI_PORT_InPackageGet (mios32_midi_port_t port)
s32 | MIDI_PORT_MonFilterSet (midi_port_mon_filter_t filter)
midi_port_mon_filter_t | MIDI_PORT_MonFilterGet (void)
s32 | MIDI_PORT_Period1mS (void)
s32 | MIDI_PORT_NotifyMIDITx (mios32_midi_port_t port, mios32_midi_package_t package)
s32 | MIDI_PORT_NotifyMIDIRx (mios32_midi_port_t port, mios32_midi_package_t package)
s32 | MIDI_PORT_EventNameGet (mios32_midi_package_t package, char *label, u8 num_chars)

## Function Documentation

s32 MIDI_PORT_ClkCheckAvailable | ( | mios32_midi_port_t | port | ) |

Here is the call graph for this function:

u8 MIDI_PORT_ClkIxGet | ( | mios32_midi_port_t | port | ) |

char* MIDI_PORT_ClkNameGet | ( | u8 | port_ix | ) |

s32 MIDI_PORT_ClkNumGet | ( | void |  | ) |

mios32_midi_port_t MIDI_PORT_ClkPortGet | ( | u8 | port_ix | ) |

s32 MIDI_PORT_EventNameGet | ( | mios32_midi_package_t | package,
|  | char * | label,
|  | u8 | num_chars |
| ) |  |  |

Here is the call graph for this function:

s32 MIDI_PORT_InCheckAvailable | ( | mios32_midi_port_t | port | ) |

Here is the call graph for this function:

s32 MIDI_PORT_Init | ( | u32 | mode | ) |

u8 MIDI_PORT_InIxGet | ( | mios32_midi_port_t | port | ) |

char* MIDI_PORT_InNameGet | ( | u8 | port_ix | ) |

s32 MIDI_PORT_InNumGet | ( | void |  | ) |

mios32_midi_package_t MIDI_PORT_InPackageGet | ( | mios32_midi_port_t | port | ) |

Here is the call graph for this function:

mios32_midi_port_t MIDI_PORT_InPortGet | ( | u8 | port_ix | ) |

midi_port_mon_filter_t MIDI_PORT_MonFilterGet | ( | void |  | ) |

s32 MIDI_PORT_MonFilterSet | ( | midi_port_mon_filter_t | filter | ) |

s32 MIDI_PORT_NotifyMIDIRx | ( | mios32_midi_port_t | port,
|  | mios32_midi_package_t | package |
| ) |  |  |

Here is the call graph for this function:

s32 MIDI_PORT_NotifyMIDITx | ( | mios32_midi_port_t | port,
|  | mios32_midi_package_t | package |
| ) |  |  |

Here is the call graph for this function:

s32 MIDI_PORT_OutCheckAvailable | ( | mios32_midi_port_t | port | ) |

Here is the call graph for this function:

u8 MIDI_PORT_OutIxGet | ( | mios32_midi_port_t | port | ) |

char* MIDI_PORT_OutNameGet | ( | u8 | port_ix | ) |

s32 MIDI_PORT_OutNumGet | ( | void |  | ) |

mios32_midi_package_t MIDI_PORT_OutPackageGet | ( | mios32_midi_port_t | port | ) |

Here is the call graph for this function:

mios32_midi_port_t MIDI_PORT_OutPortGet | ( | u8 | port_ix | ) |

s32 MIDI_PORT_Period1mS | ( | void |  | ) |